.wp-block-button__link.has-primary-background-color.has-white-color {
	@mixin button-style-primary;
}

.wp-block-button__link.has-secondary-background-color.has-white-color {
	@mixin button-style-secondary;
}

.wp-block-button {
	&.is-style-link,
	&.is-style-outline,
	&.is-style-fill {
		& .wp-block-button__link {
			@mixin button-normal;
			@mixin button-default;

			color: var(--dark);

			&.has-primary-color {
				color: var(--primary);
			}

			&.has-secondary-color {
				color: var(--secondary);
			}

			&.has-white-color {
				color: var(--white);
			}
		}
	}

	&.is-style-outline {
		& .wp-block-button__link {
			border: 1px solid var(--dark);

			&:hover {
				color: var(--primary);
				border-color: var(--primary);
			}

			&.has-primary-color {
				border-color: var(--primary);

				&:hover {
					color: var(--secondary);
					border-color: var(--secondary);
				}
			}

			&.has-secondary-color {
				border-color: var(--secondary);

				&:hover {
					color: var(--primary);
					border-color: var(--primary);
				}
			}

			&.has-white-color {
				border-color: var(--white);

				&:hover {
					color: var(--white);
					border-color: var(--white);
				}
			}
		}
	}

	&.is-style-link {
		position: relative;

		& .wp-block-button__link {
			background: transparent;
			padding-left: 0;
			padding-right: 0;
			color: var(--dark);

			&::after {
				content: '';
				position: absolute;
				bottom: 0;
				left: 0;
				width: 100%;
				height: 1px;
				background: var(--dark);
			}

			&.has-primary-color {
				&::after {
					background-color: var(--primary);
				}
			}

			&.has-secondary-color {
				&::after {
					background-color: var(--secondary);
				}
			}

			&.has-white-color {
				&::after {
					background-color: var(--white);
				}
			}
		}
	}
}
